# Interface SsaiIntegration

interface SsaiIntegration {
getCurrentLinearAd(): null | LinearAd;
getRelativeDuration(): number;
getRelativeTimelineState(): null | TimelineState;
seekInRelativeTime(t, preventAdSkips?): void;
}

#####
Index

### Methods

getCurrentLinearAd
getRelativeDuration
getRelativeTimelineState
seekInRelativeTime

## Methods

### getCurrentLinearAd

- getCurrentLinearAd(): null | LinearAd

- Get the current LinearAd.

  #### Returns null | LinearAd

### getRelativeDuration

- getRelativeDuration(): number

- Get the duration of a linear ad or content, whichever is currently playing.

  #### Returns number

### getRelativeTimelineState

- getRelativeTimelineState(): null | TimelineState

- Get the TimelineState object relative to the current linear ad or content.

  #### Returns null | TimelineState

### seekInRelativeTime

- seekInRelativeTime(t, preventAdSkips?): void

- Seek to any point in a linear ad or content, whichever is currently playing.

  #### Parameters

  - t: number
  - `Optional` preventAdSkips: boolean

  #### Returns void